package cn.estsh.i3plus.pojo.mes.pcn.model;

import cn.estsh.i3plus.pojo.mes.pcn.bean.MesQcCheckStandard;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

/**
 * @Description:
 * @Reference:
 * @Author: joke.wang
 * @CreateDate: 2020\1\13 17:23
 * @Modify:
 **/
@Data
public class QcCheckStandardModel {

    private Long id;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("工作中心代码")
    private String workCenterCode;

    @ApiParam("工作单元代码")
    private String workCellCode;

    @ApiParam("检测类型")
    private Integer checkType;

    @ApiParam("检测项")
    private String checkItem;

    @ApiParam("检测标准")
    private String checkStandard;

    @ApiParam("检测指导")
    private String checkGuide;

    @ApiParam("频率")
    private String checkFrequency;

    @ApiParam("物料名称")
    private String partName;

    @ApiParam("检测结果")
    private String checkResult;

    @ApiParam("检测值")
    private String checkValue;

    @ApiParam("检测项类型")
    private String checkItemType;

    @ApiParam("检测项类型名称")
    private String checkItemTypeName;

    private List<MesQcCheckStandard> childQcList;

    public QcCheckStandardModel() {
    }

    public QcCheckStandardModel(Long id, String partNo, String workCenterCode, String workCellCode, Integer checkType, String checkItem, String checkStandard
            , String checkGuide, String checkFrequency, String partName, String checkItemType, String checkItemTypeName) {
        this.id = id;
        this.partNo = partNo;
        this.workCenterCode = workCenterCode;
        this.workCellCode = workCellCode;
        this.checkType = checkType;
        this.checkItem = checkItem;
        this.checkStandard = checkStandard;
        this.checkGuide = checkGuide;
        this.checkFrequency = checkFrequency;
        this.partName = partName;
        this.checkItemType = checkItemType;
        this.checkItemTypeName = checkItemTypeName;
    }
}
